
Redmine - Defect #5206

Issues -> export to CSV or PDF

2010-03-29 15:38 - Petr Pospisil

Status: Closed Start date: 2010-03-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi, I am trying to export filtered issues to CSV or PDF via standard buttons in Redmine. So, set the filter (e.g. default opened issues)

and click to apply. Than on CSV or PDF button -> data are exported. Than add another filter (e.g. priority), click to apply (the list is

changed). Than on CSV or PDF and the downloaded result is the same as previous export. No changes in filter is applied to the

export. I have installed Redmine 0.8.6, 0.9.3 and current trunk - this defect is included at all. How to fix it? Thanks a lot. Petr

History

#1 - 2010-03-29 16:10 - Petr Pospisil

It is due to cache, but where is it? If I set filter and than I wanna export the list I have to change url to issues.pdf?something_unique. It is browser

cache? It is mongrail cache? Thanks for help. Petr

#2 - 2010-03-29 20:25 - Jean-Philippe Lang

- Priority changed from Urgent to Normal

I can not reproduce. Please read SubmittingBugs and attach the application log with log level set to debug.

#3 - 2010-04-01 09:46 - Petr Pospisil

- File development.log added

There is a development log that contains a few steps -> show project issues, export to pdf, add a priority filter, export to pdf. As you can see, the log

contains no relevant information for you, because as I wrote upside, the request don't come to mongreil (cache issue). How to solve this? Thanks for

help. Petr

#4 - 2010-04-01 11:26 - Petr Pospisil

- Status changed from New to Resolved

Solution: 1) Delete all browser cache. 2) Add " ExpiresByType application/pdf "access plus 1 seconds" " to the apache configuration. After that

even Firefox is working as expected.

#5 - 2010-04-11 19:13 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback. Not a Redmine issue.

Files

development.log 45.1 KB 2010-04-01 Petr Pospisil
